Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRXlsExporterNature

    java.lang.Object
      net.sf.jasperreports.engine.export.JRXlsAbstractExporterNature
          net.sf.jasperreports.engine.export.JRXlsExporterNature

All Implemented Interfaces:
  ExporterFilter, ExporterNature

    public class JRXlsExporterNature

extends JRXlsAbstractExporterNature

Version:
  $Id: JRXlsExporterNature.java 3232 2009-12-11 12:23:28Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporterNature
`filter, isIgnoreGraphics, isIgnorePageMargins, PROPERTY_BREAK_AFTER_ROW, PROPERTY_BREAK_BEFORE_ROW`

Constructor Summary
`JRXlsExporterNature(ExporterFilter filter, boolean isIgnoreGraphics)`
`JRXlsExporterNature(ExporterFilter filter, boolean isIgnoreGraphics, boolean isIgnorePageMargins)`

Method Summary

Methods inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporterNature
`isBreakAfterRow, isBreakBeforeRow, isDeep, isHorizontallyMergeEmptyCells, isIgnoreLastRow, isIgnorePageMargins, isSpanCells, isSplitSharedRowSpan, isToExport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRXlsExporterNature

    public JRXlsExporterNature(ExporterFilter filter,
                               boolean isIgnoreGraphics)

### JRXlsExporterNature

    public JRXlsExporterNature(ExporterFilter filter,
                               boolean isIgnoreGraphics,
                               boolean isIgnorePageMargins)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com